/**************************************************************************
 *
 *   Copyright (c) 2002 Openwave Systems Inc.  All rights reserved.
 *
 *   Openwave Systems Inc. grants you the right to use the Openwave Location
 *   Studio SDK software and its related documentation only according
 *   to Openwave's Location Studio SDK End User Software License Agreement.
 *
 *   Openwave and the Openwave logo are registered trademarks of Openwave
 *   Systems Inc. All other trademarks and registered trademarks are the
 *   properties of their respective owners.
 *
 **************************************************************************
 * $Header: /development/WLS/CVS/SDKLSt/MethodA/src/nullTest.java,v 1.2 2002/12/02 20:53:39 rreynold Exp $
 **************************************************************************/

import electric.registry.Registry;
import electric.registry.RegistryException;

import java.net.*;
import java.io.*;

import com.signalsoftcorp.lst.client.SubscriberId;
import com.signalsoftcorp.lst.client.WBIBilling;
import com.signalsoftcorp.lst.client.WBP10BillingRequest;
import com.signalsoftcorp.lst.client.WBP10BillingResponse;

import com.signalsoftcorp.lst.client.WMIMessaging;
import com.signalsoftcorp.lst.client.WMP10SmsRequest;
import com.signalsoftcorp.lst.client.WMP10WapRequest;
import com.signalsoftcorp.lst.client.WMP10MessagingResponse;
import com.signalsoftcorp.lst.client.WMP10SubscriberStatus;

import com.signalsoftcorp.lst.client.WLILocation;
import com.signalsoftcorp.lst.client.MLP300LocationRequest;
import com.signalsoftcorp.lst.client.MLP300LocationResponse;
import com.signalsoftcorp.lst.client.MLP300Msid;
import com.signalsoftcorp.lst.client.MLP300Position;
import com.signalsoftcorp.lst.client.WLP10LocationRequest;
import com.signalsoftcorp.lst.client.WLP10LocationResponse;
import com.signalsoftcorp.lst.client.WLP10Position;

import com.signalsoftcorp.lst.client.WVIValidation;
import com.signalsoftcorp.lst.client.WVP10AuthenticationResponse;
import com.signalsoftcorp.lst.client.WVP10ValidationResponse;
import com.signalsoftcorp.lst.client.WVP10InitRequest;
import com.signalsoftcorp.lst.client.WVP10InitResponse;
import com.signalsoftcorp.lst.client.WVP10CompletionRequest;
import com.signalsoftcorp.lst.client.WVP10CompletionResponse;


public class nullTest
{
   public static void main(String[] args) throws Exception
   {
     String exampleURL = "http://localhost:8080/locationstudio/webservices/aai.wsdl";

     System.out.println("---\n--- starting WBIBilling null test ---\n---");
     try 
     {
        System.out.println("nullTest> attempting to bind to exampleURL= " + exampleURL);
        WBIBilling bif = (WBIBilling)Registry.bind( exampleURL, WBIBilling.class );
        WBP10BillingRequest request = new WBP10BillingRequest();
        System.out.println("nullTest> attempting sendEvent");
        WBP10BillingResponse response = bif.sendEvent( null, null, request );
        System.out.println("nullTest: Response.getResponseCode() = " + response.getResponseCode());
        System.out.println("nullTest: Response.getResponseDetail() = " + response.getResponseDetail());
     }
     catch ( RegistryException re )
     {
         System.out.println("nullTest> RegistryException");
         System.out.println( re );
         System.out.println( "RegistryException.getCause() = " + re.getCause() );
     }
     catch ( Exception e )
     {
         System.out.println("nullTest> Exception");
         System.out.println( e );
         throw e;
     }

     System.out.println("---\n--- starting SMS WMIMessaging null test ---\n---");
     try 
     {
        System.out.println("nullTest> attempting to bind to exampleURL= " + exampleURL);
        WMIMessaging mif = (WMIMessaging)Registry.bind( exampleURL, WMIMessaging.class );
        WMP10SmsRequest request = new WMP10SmsRequest();
        System.out.println("nullTest> attempting sendSmsMessage");
        WMP10MessagingResponse response = mif.sendSmsMessage( null, null, request );
        System.out.println("nullTest: Response.getResponseCode() = " + response.getResponseCode());
        System.out.println("nullTest: Response.getResponseDetail() = " + response.getResponseDetail());
        WMP10SubscriberStatus[] statusArray = response.getSubscriberStatus();
        if ( statusArray != null && statusArray.length > 0 )
        {
           for ( int i=0; i<statusArray.length; i++ )
           {
              System.out.println("nullTest: Response.subscriberStatus[" + i + "]:");
              System.out.println("   responseCode = " + statusArray[i].getResponseCode());
              System.out.println("   responseDetail = " + statusArray[i].getResponseDetail());
              System.out.println("   subscriber.id = " + statusArray[i].getSubscriberId().getId());
              System.out.println("   subscriber.type = " + statusArray[i].getSubscriberId().getType());
           }
        }
     }
     catch ( RegistryException re )
     {
         System.out.println("nullTest> RegistryException");
         System.out.println( re );
         System.out.println( "RegistryException.getCause() = " + re.getCause() );
     }
     catch ( Exception e )
     {
         System.out.println("nullTest> Exception");
         System.out.println( e );
         throw e;
     }

     System.out.println("---\n--- starting WAP WMIMessaging null test ---\n---");
     try 
     {
        System.out.println("nullTest> attempting to bind to exampleURL= " + exampleURL);
        WMIMessaging mif = (WMIMessaging)Registry.bind( exampleURL, WMIMessaging.class );
        WMP10WapRequest request = new WMP10WapRequest();
        System.out.println("nullTest> attempting sendWapMessage");
        WMP10MessagingResponse response = mif.sendWapMessage( null, null, request );
        System.out.println("nullTest: Response.getResponseCode() = " + response.getResponseCode());
        System.out.println("nullTest: Response.getResponseDetail() = " + response.getResponseDetail());
        WMP10SubscriberStatus[] statusArray = response.getSubscriberStatus();
        if ( statusArray != null && statusArray.length > 0 )
        {
           for ( int i=0; i<statusArray.length; i++ )
           {
              System.out.println("nullTest: Response.subscriberStatus[" + i + "]:");
              System.out.println("   responseCode = " + statusArray[i].getResponseCode());
              System.out.println("   responseDetail = " + statusArray[i].getResponseDetail());
              System.out.println("   subscriber.id = " + statusArray[i].getSubscriberId().getId());
              System.out.println("   subscriber.type = " + statusArray[i].getSubscriberId().getType());
           }
        }
     }
     catch ( RegistryException re )
     {
         System.out.println("nullTest> RegistryException");
         System.out.println( re );
         System.out.println( "RegistryException.getCause() = " + re.getCause() );
     }
     catch ( Exception e )
     {
         System.out.println("nullTest> Exception");
         System.out.println( e );
         throw e;
     }

     System.out.println("---\n--- starting MLP WLILocation null test ---\n---");
     try 
     {
        System.out.println("nullTest> attempting to bind to exampleURL= " + exampleURL);
        WLILocation lif = (WLILocation)Registry.bind( exampleURL, WLILocation.class );
        MLP300LocationRequest request = new MLP300LocationRequest();
        MLP300Msid[] emptySubscriberArray = { new MLP300Msid(), new MLP300Msid() };
        request.setMLP300Msid(emptySubscriberArray);
        System.out.println("nullTest> attempting getLocation");
        MLP300LocationResponse response = lif.getLocation( request );
        System.out.println("nullTest: Response.getResId() = " + response.getResId());
        System.out.println("nullTest: Response.getResult() = " + response.getResult());
        System.out.println("nullTest: Response.getAddInfo() = " + response.getAddInfo());
        MLP300Position[] positions = response.getMLP300Positions();
        if ( positions != null && positions.length > 0 )
        {
           for ( int i=0; i<positions.length; i++ )
           {
              System.out.println("nullTest: Response.MLP300Position[" + i + "]:");
              System.out.println("   time = " + positions[i].getTime());
              System.out.println("   x = " + positions[i].getX());
              System.out.println("   y = " + positions[i].getY());
              System.out.println("   z = " + positions[i].getZ());
              System.out.println("   radius = " + positions[i].getRadius());
              System.out.println("   altAcc = " + positions[i].getAltAcc());
              System.out.println("   alt = " + positions[i].getAlt());
              System.out.println("   speed = " + positions[i].getSpeed());
              System.out.println("   direction = " + positions[i].getDirection());
              System.out.println("   result = " + positions[i].getResult());
              System.out.println("   resId = " + positions[i].getResId());
              System.out.println("   utcOff = " + positions[i].getUtcOff());
              System.out.println("   levConf = " + positions[i].getLevConf());
              System.out.println("   addInfo = " + positions[i].getAddInfo());
              if ( positions[i].getMLP300Msid() == null )
                 System.out.println("   mLP300Msid = null");
              else {
                 System.out.println("   mLP300Msid.id = " + positions[i].getMLP300Msid().getId());
                 System.out.println("   mLP300Msid.type = " + positions[i].getMLP300Msid().getType());
              }
           }
        }
     }
     catch ( RegistryException re )
     {
         System.out.println("nullTest> RegistryException");
         System.out.println( re );
         System.out.println( "RegistryException.getCause() = " + re.getCause() );
     }
     catch ( Exception e )
     {
         System.out.println("nullTest> Exception");
         System.out.println( e );
         throw e;
     }
     
     System.out.println("---\n--- starting Simple WLILocation null test ---\n---");
     try 
     {
        System.out.println("nullTest> attempting to bind to exampleURL= " + exampleURL);
        WLILocation lif = (WLILocation)Registry.bind( exampleURL, WLILocation.class );
        WLP10LocationRequest request = new WLP10LocationRequest();
        SubscriberId[] emptySubscriberArray = { new SubscriberId(), new SubscriberId() };
        request.setSubscribers(emptySubscriberArray);
        System.out.println("nullTest> attempting getLocation");
        WLP10LocationResponse response = lif.getLocation( null, null, request );
        System.out.println("nullTest: Response.getResponseCode() = "
                           + response.getResponseCode());
        System.out.println("nullTest: Response.getResponseDetail() = "
                           + response.getResponseDetail());
        WLP10Position[] positions = response.getWLP10Position();
        if ( positions != null && positions.length > 0 )
        {
           for ( int i=0; i<positions.length; i++ )
           {
              System.out.println("nullTest: Response.positions[" + i + "]:");
              System.out.println("   responseCode = " + positions[i].getResponseCode());
              System.out.println("   responseDetail = " + positions[i].getResponseDetail());
              System.out.println("   time = " + positions[i].getTime());
              System.out.println("   latitude = " + positions[i].getLatitude());
              System.out.println("   longitude = " + positions[i].getLongitude());
              System.out.println("   radius = " + positions[i].getRadius());
              if ( positions[i].getSubscriberId() == null )
                 System.out.println("   subscriber = null");
              else {
                 System.out.println("   subscriber.id = " + positions[i].getSubscriberId().getId());
                 System.out.println("   subscriber.type = " + positions[i].getSubscriberId().getType());
              }
           }
        }
     }
     catch ( RegistryException re )
     {
         System.out.println("nullTest> RegistryException");
         System.out.println( re );
         System.out.println( "RegistryException.getCause() = " + re.getCause() );
     }
     catch ( Exception e )
     {
         System.out.println("nullTest> Exception");
         System.out.println( e );
         throw e;
     }

     
     System.out.println("---\n--- starting WVIValidation authenticateClient null test ---\n---");
     try 
     {
        System.out.println("nullTest> attempting to bind to exampleURL= " + exampleURL);
        WVIValidation vif = (WVIValidation)Registry.bind( exampleURL, WVIValidation.class );
        System.out.println("nullTest> attempting authenticateClient");
        WVP10AuthenticationResponse response = vif.authenticateClient( null, null );
        System.out.println("nullTest: Response.getResponseCode() = " + response.getResponseCode());
        System.out.println("nullTest: Response.getResponseDetail() = " + response.getResponseDetail());
     }
     catch ( RegistryException re )
     {
         System.out.println("nullTest> RegistryException");
         System.out.println( re );
         System.out.println( "RegistryException.getCause() = " + re.getCause() );
     }
     catch ( Exception e )
     {
         System.out.println("nullTest> Exception");
         System.out.println( e );
         throw e;
     }

     
     System.out.println("---\n--- starting WVIValidation validateSubscription null test ---\n---");
     try 
     {
        System.out.println("nullTest> attempting to bind to exampleURL= " + exampleURL);
        WVIValidation vif = (WVIValidation)Registry.bind( exampleURL, WVIValidation.class );
        System.out.println("nullTest> attempting validateSubscription");
        WVP10ValidationResponse response = vif.validateSubscription( null, null, null );
        System.out.println("nullTest: Response.getResponseCode() = " + response.getResponseCode());
        System.out.println("nullTest: Response.getResponseDetail() = " + response.getResponseDetail());
        if ( response.getTransferredDate() == null )
           System.out.println("nullTest> getTransferredDate() returned null");
        else
           System.out.println("nullTest> getTransferredDate() = " +
                                                     response.getTransferredDate().toString());
     }
     catch ( RegistryException re )
     {
         System.out.println("nullTest> RegistryException");
         System.out.println( re );
         System.out.println( "RegistryException.getCause() = " + re.getCause() );
     }
     catch ( Exception e )
     {
         System.out.println("nullTest> Exception");
         System.out.println( e );
         throw e;
     }

     
     System.out.println("---\n--- starting WVIValidation initiateVerifySubscriber null test ---\n---");
     try 
     {
        System.out.println("nullTest> attempting to bind to exampleURL= " + exampleURL);
        WVIValidation vif = (WVIValidation)Registry.bind( exampleURL, WVIValidation.class );
        System.out.println("nullTest> attempting initiateVerifySubscriber");
        WVP10InitResponse response = vif.initiateVerifySubscriber( null, null, null );
        System.out.println("nullTest: Response.getResponseCode() = " + response.getResponseCode());
        System.out.println("nullTest: Response.getResponseDetail() = " + response.getResponseDetail());
        if ( response.getTransferredDate() == null )
           System.out.println("nullTest> getTransferredDate() returned null");
        else
           System.out.println("nullTest> getTransferredDate() = " +
                                                     response.getTransferredDate().toString());
     }
     catch ( RegistryException re )
     {
         System.out.println("nullTest> RegistryException");
         System.out.println( re );
         System.out.println( "RegistryException.getCause() = " + re.getCause() );
     }
     catch ( Exception e )
     {
         System.out.println("nullTest> Exception");
         System.out.println( e );
         throw e;
     }

     
     System.out.println("---\n--- starting WVIValidation completeVerifySubscriber null test ---\n---");
     try 
     {
        System.out.println("nullTest> attempting to bind to exampleURL= " + exampleURL);
        WVIValidation vif = (WVIValidation)Registry.bind( exampleURL, WVIValidation.class );
        System.out.println("nullTest> attempting completeVerifySubscriber");
        WVP10CompletionResponse response = vif.completeVerifySubscriber( null, null, null );
        System.out.println("nullTest: Response.getResponseCode() = " + response.getResponseCode());
        System.out.println("nullTest: Response.getResponseDetail() = " + response.getResponseDetail());
        if ( response.getSubscriber() == null )
           System.out.println("nullTest> getSubscriber() returned null");
        else
           System.out.println("nullTest> getSubscriber() = " +
                                                     response.getSubscriber().toString());
     }
     catch ( RegistryException re )
     {
         System.out.println("nullTest> RegistryException");
         System.out.println( re );
         System.out.println( "RegistryException.getCause() = " + re.getCause() );
     }
     catch ( Exception e )
     {
         System.out.println("nullTest> Exception");
         System.out.println( e );
         throw e;
     }
   }
}
